## nrepl-clojure 0.6.0~20190204git176bde868

=== debian/changelog ===
nrepl-clojure (0.6.0~20190204git176bde868-1) unstable; urgency=medium

  * Initial release. (Closes: #920043)

 -- Elana Hashman <ehashman@debian.org>  Mon, 04 Feb 2019 21:24:21 -0500

## nrepl-clojure 0.6.0

=== Makefile ===
.PHONY: test docs eastwood cljfmt cloverage release deploy clean

VERSION ?= 1.9

# Some tests need to be filtered based on JVM version.  This selector
# will be mapped to a function in project.clj, and that function
# determines which `deftest` to run based on their metadata.
JAVA_VERSION := $(shell lein with-profile +sysutils \
                        sysutils :java-version-simple | cut -d " " -f 2)
TEST_SELECTOR := :java$(JAVA_VERSION)

test:
	lein with-profile +$(VERSION) test $(TEST_SELECTOR)

eastwood:
	lein with-profile +$(VERSION),+eastwood eastwood

cljfmt:
	lein with-profile +$(VERSION),+cljfmt cljfmt check

cloverage:
	lein with-profile +$(VERSION),+cloverage cloverage --codecov

verify_cljdoc:
	curl -fsSL https://raw.githubusercontent.com/cljdoc/cljdoc/master/script/verify-cljdoc-edn | bash -s doc/cljdoc.edn

# When releasing, the BUMP variable controls which field in the
# version string will be incremented in the *next* snapshot
# version. Typically this is either "major", "minor", or "patch".

BUMP ?= patch

release:
	lein with-profile +$(VERSION) release $(BUMP)

# Deploying requires the caller to set environment variables as
# specified in project.clj to provide a login and password to the
# artifact repository.

deploy:
	lein with-profile +$(VERSION) deploy clojars

clean:
	lein clean

=== debian/changelog ===
nrepl-clojure (0.6.0-2) unstable; urgency=medium

  * Fix autopkgtests (Closes: #922324)

 -- Elana Hashman <ehashman@debian.org>  Sun, 17 Feb 2019 13:33:32 -0500

nrepl-clojure (0.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Elana Hashman <ehashman@debian.org>  Thu, 07 Feb 2019 21:09:37 -0500

=== debian/control ===
Source: nrepl-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Elana Hashman <ehashman@debian.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 javahelper (>= 0.32),
 maven-repo-helper (>= 1.7),
 libclojure-java
Standards-Version: 4.3.0
Homepage: https://nrepl.org/
Vcs-Git: https://salsa.debian.org/clojure-team/nrepl-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/nrepl-clojure

Package: libnrepl-clojure
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Clojure network REPL
 nrepl provides a REPL server and client, along with some common APIs of
 use to IDEs and other tools that may need to evaluate Clojure code in remote
 environments.
 .
 This project is intended to be a replacement for tools.nrepl, which is no
 longer maintained.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

export CLASSPATH=/usr/share/java/clojure.jar

PRODUCED_JAR=nrepl.jar

%:
	dh $@ --with javahelper --with maven_repo_helper

override_jh_build:
	jh_build $(PRODUCED_JAR) src/java
	jar uf $(PRODUCED_JAR) -C src/clojure .

override_jh_classpath:
	jh_classpath $(PRODUCED_JAR)

override_jh_installlibs:
	jh_installlibs $(PRODUCED_JAR)

override_jh_clean:
	jh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

=== debian/tests/control ===
Depends: @, clojure
Tests: hello-nrepl

Depends: @, clojure
Restrictions: allow-stderr
Tests: build-nrepl

=== debian/watch ===
version=3
https://github.com/nrepl/nrepl/tags .*\-([\d\.]+)\.tar\.gz

## nrepl-clojure 0.9.0

=== debian/changelog ===
nrepl-clojure (0.9.0-6) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: stop building on s390x. That one too fails to build.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 19 Aug 2022 23:39:04 -0400

nrepl-clojure (0.9.0-5) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: stop building on ppc64el. That one too fails to build...

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 17 Aug 2022 20:35:04 -0400

nrepl-clojure (0.9.0-4) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: stop building on i386 and armhf. Apparently armhf FTBFS, at
    this point all 32-bit arches are getting axed.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 12 Aug 2022 23:35:22 -0400

nrepl-clojure (0.9.0-3) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: build only on amd64, arm64, armhf, i386, ppc64el and s390, as
    those platforms have debci and the tests pass. Sorry armel.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 12 Aug 2022 22:28:18 -0400

nrepl-clojure (0.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/patches: add 0002 to skip failing tests on i386 and armhf.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 23 Jul 2022 10:26:42 +0200

nrepl-clojure (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Louis-Philippe Véronneau ]
  * d/patches: refresh 0001.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 14 May 2022 15:12:19 -0400

nrepl-clojure (0.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1010980)

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.
  * d/gbp.conf: create.
  * d/watch: rewrite for v4 and git mode.
  * d/control: use debhelper-compat, and move to v13.
  * d/control: update dependencies.
  * Build using leiningen.
  * d/tests: run unit tests as autopkgtests.
  * d/*.classpath: create.
  * d/copyright: remove duplicate 'debian/*' block
  * d/control: Standard-Version update to 4.6.1. Add Rules-Requires-Root.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 14 May 2022 14:48:20 -0400

=== debian/control ===
Source: nrepl-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders: Elana Hashman <ehashman@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 maven-repo-helper,
 libclojure-java,
 leiningen,
 libcom-hypirion-io-clojure <!nocheck>,
 libcommons-net-java <!nocheck>,
 libnrepl-clojure <!nocheck>,
 libcomplete-clojure <!nocheck>,
 libcommons-parent-java <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://nrepl.org/
Vcs-Git: https://salsa.debian.org/clojure-team/nrepl-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/nrepl-clojure
Rules-Requires-Root: no

Package: libnrepl-clojure
Architecture: amd64 arm64
Depends:
 ${java:Depends},
 ${misc:Depends},
 libclojure-java,
Recommends:
 ${java:Recommends}
Description: Clojure network REPL
 nrepl provides a REPL server and client, along with some common APIs of
 use to IDEs and other tools that may need to evaluate Clojure code in remote
 environments.
 .
 This project is intended to be a replacement for tools.nrepl, which is no
 longer maintained.

## nrepl-clojure 1.0.0

=== Makefile ===
.PHONY: test docs eastwood cljfmt cloverage release deploy clean

VERSION ?= 1.10

test:

# We use kaocha on Clojure 1.9+, but revert to lein's built in
# runner with Clojure 1.7 and 1.8.

ifeq ($(VERSION),$(filter $(VERSION),1.9 1.10 master))
	lein with-profile -user,+$(VERSION),+test run -m kaocha.runner
	lein with-profile -user,+$(VERSION),+test,+junixsocket run -m kaocha.runner
else
	lein with-profile -user,+$(VERSION),+test test
	lein with-profile -user,+$(VERSION),+test,+junixsocket test
endif

eastwood:
	lein with-profile -user,+$(VERSION),+eastwood eastwood

cljfmt:
	lein with-profile -user,+$(VERSION),+cljfmt cljfmt check

kondo:
	lein with-profile +clj-kondo run -m clj-kondo.main --lint src

cloverage:
	lein with-profile -user,+$(VERSION),+cloverage cloverage --codecov

# Roughly match what runs in CI using the current JVM
check: test eastwood kondo cljfmt cloverage

verify_cljdoc:
	curl -fsSL https://raw.githubusercontent.com/cljdoc/cljdoc/master/script/verify-cljdoc-edn | bash -s doc/cljdoc.edn

# When releasing, the BUMP variable controls which field in the
# version string will be incremented in the *next* snapshot
# version. Typically this is either "major", "minor", or "patch".

BUMP ?= patch

release:
	lein with-profile -user,+$(VERSION) release $(BUMP)

# Deploying requires the caller to set environment variables as
# specified in project.clj to provide a login and password to the
# artifact repository.

deploy:
	lein with-profile -user,+$(VERSION) deploy clojars

clean:
	lein clean

=== debian/changelog ===
nrepl-clojure (1.0.0-5) unstable; urgency=medium

  * Team upload.
  * d/control: bump Standards-Version, no changes needed
  * d/patches: remove flaky sideloading tests (Closes: #1031478)
  * d/patches: update DEP-3 metadata
  * d/rules: honor nocheck flag in build options
  * add lintian-overrides for jar-contains-source

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 25 Feb 2023 13:41:50 -0500

nrepl-clojure (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * d/patches: add 0002 to fix FTBFS on arm64 buildds.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 17 Jan 2023 14:03:49 -0500

nrepl-clojure (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/tests/unittests: fix unix socket error caused by missing dir.
  * d/rules: use dh_auto_clean instead of dh_clean.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 15 Jan 2023 20:53:06 -0500

nrepl-clojure (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/patches/0001: link to clojure 1.x instead of inexistent 1.11.x version.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 13 Jan 2023 13:17:10 -0500

nrepl-clojure (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upgrade to 1.0.0.
  * Update debian/patches for 1.0.0.
  * debian/control: build-depend on default-jdk-headless instead of
    default-jdk.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 11 Dec 2022 11:32:14 -0600

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Elana Hashman <ehashman@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- default-jdk,
+ default-jdk-headless,
  javahelper,
  maven-repo-helper,
  libclojure-java,
@@ -15,7 +15,7 @@
  libnrepl-clojure <!nocheck>,
  libcomplete-clojure <!nocheck>,
  libcommons-parent-java <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://nrepl.org/
 Vcs-Git: https://salsa.debian.org/clojure-team/nrepl-clojure.git
 Vcs-Browser: https://salsa.debian.org/clojure-team/nrepl-clojure

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/javahelper/java-vars.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
NAME=nrepl

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_make:

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	lein pom debian/pom.xml
	lein jar
	# symlinks so we don't need a version in debian/*.poms
	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	lein test
endif

execute_before_dh_auto_clean:
	rm -f debian/maven-repo
	rm -Rf target
	rm -f debian/pom.xml

=== debian/tests/control ===
Tests: build
Depends: @, clojure
Restrictions: superficial, allow-stderr

Tests: unittests
Depends: @, clojure, libbultitude-clojure, libcom-hypirion-io-clojure, libcommons-net-java
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/nrepl/nrepl.git \
refs/tags/([\d\.]+)
